String.h functions.
Evil

This header provides functions ported from Unix in string.h. More...

## Functions

EVIL_API char * | strcasestr (const char *haystack, const char *needle)
| Locate a substring into a string, ignoring case.

## Detailed Description

This header provides functions ported from Unix in string.h.

## Function Documentation

## strcasestr()

EVIL_API char * strcasestr | ( | const char * | haystack,
|  | const char * | needle )

Locate a substring into a string, ignoring case.

Parameters

  haystack | The string to search in.
  needle | The substring to find.

Returns

This function locates the string `needle` into the string `haystack`, ignoring the case of the characters. It returns apointer to the beginning of the substring, or NULL if the substring is not found. If `haystack` or `needle` are `NULL`, this function returns `NULL`.

Conformity: Non applicable.

Supported OS: Windows XP.